services:
  cache.textimage:
    class: Drupal\Core\Cache\CacheBackendInterface
    tags:
      - { name: cache.bin }
    factory: cache_factory:get
    arguments: ['textimage']
  path_processor.textimage:
    class: Drupal\textimage\PathProcessor\TextimagePathProcessor
    arguments: ['@stream_wrapper_manager']
    tags:
      - { name: path_processor_inbound, priority: 300 }
  logger.channel.textimage:
    parent: logger.channel_base
    arguments: ['textimage']
  textimage.factory:
    class: Drupal\textimage\TextimageFactory
    arguments: ['@config.factory', '@token', '@textimage.logger', '@cache.textimage', '@current_user', '@stream_wrapper_manager', '@entity_type.manager', '@file_system']
  textimage.logger:
    class: Drupal\textimage\TextimageLogger
    arguments: ['@config.factory', '@logger.channel.textimage', '@current_user']
